Skip to Content

List all parties for a document

You're viewing API version 2026-09, which is deprecated and stops working on October 1, 2027. To move your integration, see Upgrading to 2026-10.
GET
/api/v1/documents/{id}/parties

Retrieve all parties for a document WITHOUT signing URLs.

This endpoint returns party information for display purposes. Signing URLs are not included for security reasons.

To get a party's signing URL (which creates an audit log entry), use the GET /documents/:id/parties/:partyId endpoint.

Authorization

headerAuthorizationBearer <token>

Personal API key, e.g. Authorization: Bearer sajn_sk_.... Not scope-limited — acts as the issuing user.

Path Parameters

id*string

Header Parameters

authorization*string

Bearer token for API authentication

Response Body

200

application/json
  1. response
parties*array<>
Example Request
curl -X GET 'https://app.sajn.se/api/v1/documents/string/parties' \  -H 'authorization: string'
Example Response
{  "parties": [    {      "id": "string",      "documentId": "string",      "email": "user@example.com",      "name": "string",      "phone": "string",      "companyName": "string",      "companyRole": "string",      "companyOrgNumber": "string",      "externalId": "string",      "companyId": "string",      "ssn": "string",      "country": "string",      "role": "SIGNER",      "signingOrder": 0,      "signedAt": "2019-08-24T14:15:22Z",      "readStatus": "NOT_OPENED",      "signingStatus": "NOT_SIGNED",      "deliveryMethod": "EMAIL",      "requiredSignature": "NONE",      "twoStepVerification": "NONE",      "sendStatus": "NOT_SENT",      "identityVerified": true,      "identityMismatch": true    }  ]}

Was this page helpful?